## ros-kinetic-aruco-detect 0.11.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.3)
project(aruco_detect)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf2_geometry_msgs
  tf2_ros
  tf2
  visualization_msgs
  image_transport
  cv_bridge
  sensor_msgs
  std_msgs
  fiducial_msgs
  dynamic_reconfigure
)

find_package(OpenCV REQUIRED)

generate_dynamic_reconfigure_options(cfg/DetectorParams.cfg)

catkin_package(INCLUDE_DIRS DEPENDS OpenCV)

###########
## Build ##
###########

add_definitions(-std=c++11)

include_directories(${catkin_INCLUDE_DIRS})
include_directories(${OpenCV_INCLUDE_DIRS})

add_executable(aruco_detect src/aruco_detect.cpp)

add_dependencies(aruco_detect ${${PROJECT_NAME}_EXPORTED_TARGETS}
                 ${catkin_EXPORTED_TARGETS})

target_link_libraries(aruco_detect ${catkin_LIBRARIES} ${OpenCV_LIBS})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS aruco_detect
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/create_markers.py
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
) 

###########
## Tests ##
###########

if(CATKIN_ENABLE_TESTING)
        find_package(rostest REQUIRED)

        # Tests need c++11
        add_definitions(-std=c++11)
        
        add_rostest_gtest(aruco_images_test 
          test/aruco_images.test 
          test/aruco_images_test.cpp)
        target_link_libraries(aruco_images_test ${catkin_LIBRARIES} ${OpenCV_LIBS})
endif()

=== debian/changelog ===
ros-kinetic-aruco-detect (0.11.0-1xenial) xenial; urgency=high

  * Compatibilty with Melodic
    
    remove opencv3 dependancy, opencv3 is no longer a package in melodic, so we use cv_bridge
    
    Fix build on OpenCV 3.2
  * Import empy with full path to avoid pip conflict
  * Use subprocess for cairosvg to avoid lack of python2 support
  * call genMarker with correct arguments with no joblib
  * Check ignoreID's in TF publishing
  * Added topic that enables/disables Aruco detections
  * Added rosdeps for cairo and joblib
  * Add params for determining weighting of observations; prevent compiler warnings
  * add cli argument for paper size to create markers
  * Contributors: Jack Kilian, Jim Vaughan, Rohan Agrawal, Tim Übelhör, jack

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 May 2019 07:00:00 -0000

ros-kinetic-aruco-detect (0.10.0-1xenial) xenial; urgency=high

  * Dramatically speed up create_markers using cairosvg and joblib
  * Overhaul aruco marker generation (calculate svg values)
  * Ddd new 2 tag test image
  * Add params to ignore some fiducial Ids and override sizes
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 13 Oct 2018 07:00:00 -0000

ros-kinetic-aruco-detect (0.9.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 12 Sep 2018 07:00:00 -0000

ros-kinetic-aruco-detect (0.8.4-1xenial) xenial; urgency=high

  * Use publish_images param as intended (#106 <https://github.com/UbiquityRobotics/fiducials/issues/106>)
  * Update README.md
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-aruco-detect (0.8.3-1xenial) xenial; urgency=high

  * Merge pull request #100 <https://github.com/UbiquityRobotics/fiducials/issues/100> from alex-gee/kinetic-devel
  * Add dictionary parameter to launch file
  * Contributors: Alexander Gutenkunst, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Mon, 26 Feb 2018 08:00:00 -0000

ros-kinetic-aruco-detect (0.8.2-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 14 Feb 2018 08:00:00 -0000

ros-kinetic-aruco-detect (0.8.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 Jan 2018 08:00:00 -0000

ros-kinetic-aruco-detect (0.8.0-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 14 Jan 2018 08:00:00 -0000

ros-kinetic-aruco-detect (0.7.5-1xenial) xenial; urgency=high

  * Move create_markers.py to share directory
  * Make corner detection on by default.
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Wed, 06 Dec 2017 08:00:00 -0000

ros-kinetic-aruco-detect (0.7.4-1xenial) xenial; urgency=high

  * Add std=-c++-11 to build.
  * Fixes for OpenCV 3.3.1
  * handle invalid cameraInfo message in aruco_detect
  * Added (multi) pose estimation to fiducial_slam (disabled by default)
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Thu, 09 Nov 2017 08:00:00 -0000

ros-kinetic-aruco-detect (0.7.3-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Sun, 16 Jul 2017 07:00:00 -0000

ros-kinetic-aruco-detect (0.7.2-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Wed, 24 May 2017 07:00:00 -0000

ros-kinetic-aruco-detect (0.7.1-1xenial) xenial; urgency=high



 -- Jim Vaughan <jimv@mrjim.com>  Mon, 22 May 2017 07:00:00 -0000

ros-kinetic-aruco-detect (0.7.0-1xenial) xenial; urgency=high

  * Fix dependencies
  * Added image and object error calculation. Renamed K and dist
  * Moved all service and message definitions to fiducial_msgs
  * Update copyright on aruco detect C++
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sun, 21 May 2017 07:00:00 -0000

ros-kinetic-aruco-detect (0.6.1-1xenial) xenial; urgency=high

  * Fix dynamic_reconfigure build deps
  * Contributors: Jim Vaughan

 -- Jim Vaughan <jimv@mrjim.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-kinetic-aruco-detect (0.6.0-1xenial) xenial; urgency=high

  * moved documentation to ROS wiki
  * added utilities to generate PDF files of fiducials
  * Expose aruco detection parameters
  * Publish one set of fiducial_vertices per image
  * Parameterized the dictionary used
  * Contributors: Jim Vaughan, Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Sat, 04 Feb 2017 08:00:00 -0000

ros-kinetic-aruco-detect (0.5.1-1xenial) xenial; urgency=high

  * Install aruco_detect launch dir
  * Use raw transport for aruco test
  * Contributors: Rohan Agrawal

 -- Jim Vaughan <jimv@mrjim.com>  Wed, 28 Dec 2016 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-aruco-detect
Section: misc
Priority: extra
Maintainer: Jim Vaughan <jimv@mrjim.com>
Build-Depends: debhelper (>= 9.0.0), python-cairosvg, python-joblib, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-fiducial-msgs, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-aruco-detect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-cairosvg, python-joblib, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-fiducial-msgs, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Description: Fiducial detection based on the aruco library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-aruco-detect//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
